Summary: Elysium GNU/Linux User Interface Utilities Library
Name: libelysiumui
Version: 0.2.0
Release: 1
Copyright: LGPL
Group: System/Libraries
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
User Interface enhancements for Elysium GNU/Linux

%package devel
Summary: Elysium GNU/Linux User Interface Utilities Library Development Files
Group: System/Libraries/Development
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel
Conflicts: encompass-uri-devel

%description devel
Libraries and include files for developing applications which use the
User Interface enhancements in Elysium GNU/Linux

%prep
%setup

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%post 
if ! grep %{_libdir} /etc/ld.so.conf > /dev/null ; then
  echo "%{_libdir}" >> /etc/ld.so.conf
fi
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc

%changelog
* Mon Sep 30 2002 Rodney Dawes <dobey@free.fr>
- Initial libelysiumui spec file

